/*
 *   logtool - a logfile parsing/monitoring/manipulation utility
 *
 *   Copyright (C) Y2K (2000) A.L.Lambert
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "includes.h"

void lt_colorset_html() { /* this will set up the colors for the parseansi() function */

        /* 
         * determine if user asked us to "beep" on red events, and set up the value of
         * color.red accordingly. 
         */

	strcpy(color.red, "<FONT color=#BB0000>");
	strcpy(color.brightred, "<FONT color=FF0000>");

	strcpy(color.green, "<FONT color=#009900>");
	strcpy(color.brightgreen, "<FONT color=#00FF00>");
        
	strcpy(color.yellow, "<FONT color=#CCCC00>");
	strcpy(color.brightyellow, "<FONT color=#FFFF00>");
        
	strcpy(color.dimwhite, "<FONT color=#606060>");
	strcpy(color.white, "<FONT color=#CCCCCC>");
	strcpy(color.brightwhite, "<FONT color=#FFFFFF>");
        
	strcpy(color.cyan, "<FONT color=#009090>");
	strcpy(color.brightcyan, "<FONT color=#00F0F0>");
        
	strcpy(color.blue, "<FONT color=#0000CC>");
	strcpy(color.brightblue, "<FONT color=#1010FF>");

	strcpy(color.magenta, "<FONT color=#CC00CC>");
	strcpy(color.brightmagenta, "<FONT color=#FF00FF>");
	
	strcpy(color.unknown, "<FONT color=#CCCCCC>");
	strcpy(color.end, "</FONT>");
}

void lto_parse_html() {
	parse_pmsg();
}

void lto_html() {

        /* parse the \033e escpae sequences into native ANSI    */
        lto_parse_html();

        /* if it's a duplicate message, just print the "!" warning to screen    */
        if(event.type != EVENT_UNKNOWN && cf.input == TRUE && cf.supdupes == TRUE && 
			strcmp(event.message, event.lmessage) == 0 && strcmp(event.source, event.lsource) == 0) {
                printf("%s!%s", color.brightwhite, color.end);
        } else {
                /* if this isn't the first message, print a \newline                    */
                if(cf.input == TRUE) {
                        printf("<BR>\n");
                }
                /* print yee old message as parsed by the module in question    */
		cf.input = TRUE;
                printf("<NOBR>%s", event.pmsg);
        }
        fflush(stdout);
}

